package com.ruoyi.abuwx.service.impl.exam;

import java.util.List;

import com.ruoyi.abuwx.domain.exam.ExmExamQuestion;
import com.ruoyi.abuwx.mapper.exam.ExmExamQuestionMapper;
import com.ruoyi.abuwx.service.exam.IExmExamQuestionService;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 考试试题（固定试卷有效）Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-05-17
 */
@Service
public class ExmExamQuestionServiceImpl implements IExmExamQuestionService
{
    @Autowired
    private ExmExamQuestionMapper exmExamQuestionMapper;

    /**
     * 查询考试试题（固定试卷有效）
     * 
     * @param id 考试试题（固定试卷有效）主键
     * @return 考试试题（固定试卷有效）
     */
    @Override
    public ExmExamQuestion selectExmExamQuestionById(Long id)
    {
        return exmExamQuestionMapper.selectExmExamQuestionById(id);
    }

    /**
     * 查询考试试题（固定试卷有效）列表
     * 
     * @param exmExamQuestion 考试试题（固定试卷有效）
     * @return 考试试题（固定试卷有效）
     */
    @Override
    public List<ExmExamQuestion> selectExmExamQuestionList(ExmExamQuestion exmExamQuestion)
    {
        return exmExamQuestionMapper.selectExmExamQuestionList(exmExamQuestion);
    }

    /**
     * 新增考试试题（固定试卷有效）
     * 
     * @param exmExamQuestion 考试试题（固定试卷有效）
     * @return 结果
     */
    @Override
    public int insertExmExamQuestion(ExmExamQuestion exmExamQuestion)
    {
        return exmExamQuestionMapper.insertExmExamQuestion(exmExamQuestion);
    }

    /**
     * 修改考试试题（固定试卷有效）
     * 
     * @param exmExamQuestion 考试试题（固定试卷有效）
     * @return 结果
     */
    @Override
    public int updateExmExamQuestion(ExmExamQuestion exmExamQuestion)
    {
        exmExamQuestion.setUpdateTime(DateUtils.getNowDate());
        return exmExamQuestionMapper.updateExmExamQuestion(exmExamQuestion);
    }

    /**
     * 批量删除考试试题（固定试卷有效）
     * 
     * @param ids 需要删除的考试试题（固定试卷有效）主键
     * @return 结果
     */
    @Override
    public int deleteExmExamQuestionByIds(Long[] ids)
    {
        return exmExamQuestionMapper.deleteExmExamQuestionByIds(ids);
    }

    /**
     * 删除考试试题（固定试卷有效）信息
     * 
     * @param id 考试试题（固定试卷有效）主键
     * @return 结果
     */
    @Override
    public int deleteExmExamQuestionById(Long id)
    {
        return exmExamQuestionMapper.deleteExmExamQuestionById(id);
    }
}
